Python
from openlayer import Openlayer
client = Openlayer()
client.inference_pipelines.rows.delete(
"0f1e2d3c-4b5a-4968-8776-5a4b3c2d1e0f",
inference_pipeline_id="c1d2e3f4-a5b6-4c7d-8e9f-0a1b2c3d4e5f",
)
import Openlayer from 'openlayer';
const client = new Openlayer();
await client.inferencePipelines.rows.delete('0f1e2d3c-4b5a-4968-8776-5a4b3c2d1e0f', {
inferencePipelineId: 'c1d2e3f4-a5b6-4c7d-8e9f-0a1b2c3d4e5f',
});
package main
import (
"context"
"github.com/openlayer-ai/openlayer-go"
)
client := openlayer.NewClient()
err := client.InferencePipelines.Rows.Delete(
context.TODO(),
"c1d2e3f4-a5b6-4c7d-8e9f-0a1b2c3d4e5f",
"0f1e2d3c-4b5a-4968-8776-5a4b3c2d1e0f",
)
if err != nil {
panic(err.Error())
}
import com.openlayer.api.client.OpenlayerClient;
import com.openlayer.api.client.okhttp.OpenlayerOkHttpClient;
import com.openlayer.api.models.inferencepipelines.rows.RowDeleteParams;
OpenlayerClient client = OpenlayerOkHttpClient.fromEnv();
RowDeleteParams params = RowDeleteParams.builder()
.inferencePipelineId("c1d2e3f4-a5b6-4c7d-8e9f-0a1b2c3d4e5f")
.inferenceId("0f1e2d3c-4b5a-4968-8776-5a4b3c2d1e0f")
.build();
client.inferencePipelines().rows().delete(params);
require "openlayer"
openlayer = Openlayer::Client.new(api_key: ENV["OPENLAYER_API_KEY"])
openlayer.inference_pipelines.rows.delete(
"0f1e2d3c-4b5a-4968-8776-5a4b3c2d1e0f",
inference_pipeline_id: "c1d2e3f4-a5b6-4c7d-8e9f-0a1b2c3d4e5f"
)
curl --request DELETE \
--url https://api.openlayer.com/v1/inference-pipelines/{inferencePipelineId}/rows/{inferenceId} \
--header 'Authorization: Bearer <token>'
{
"code": 123,
"error": "<string>"
}Monitoring
Delete record
Delete a record by its ID from a data source (formerly known as “inference pipeline”).
Python
from openlayer import Openlayer
client = Openlayer()
client.inference_pipelines.rows.delete(
"0f1e2d3c-4b5a-4968-8776-5a4b3c2d1e0f",
inference_pipeline_id="c1d2e3f4-a5b6-4c7d-8e9f-0a1b2c3d4e5f",
)
import Openlayer from 'openlayer';
const client = new Openlayer();
await client.inferencePipelines.rows.delete('0f1e2d3c-4b5a-4968-8776-5a4b3c2d1e0f', {
inferencePipelineId: 'c1d2e3f4-a5b6-4c7d-8e9f-0a1b2c3d4e5f',
});
package main
import (
"context"
"github.com/openlayer-ai/openlayer-go"
)
client := openlayer.NewClient()
err := client.InferencePipelines.Rows.Delete(
context.TODO(),
"c1d2e3f4-a5b6-4c7d-8e9f-0a1b2c3d4e5f",
"0f1e2d3c-4b5a-4968-8776-5a4b3c2d1e0f",
)
if err != nil {
panic(err.Error())
}
import com.openlayer.api.client.OpenlayerClient;
import com.openlayer.api.client.okhttp.OpenlayerOkHttpClient;
import com.openlayer.api.models.inferencepipelines.rows.RowDeleteParams;
OpenlayerClient client = OpenlayerOkHttpClient.fromEnv();
RowDeleteParams params = RowDeleteParams.builder()
.inferencePipelineId("c1d2e3f4-a5b6-4c7d-8e9f-0a1b2c3d4e5f")
.inferenceId("0f1e2d3c-4b5a-4968-8776-5a4b3c2d1e0f")
.build();
client.inferencePipelines().rows().delete(params);
require "openlayer"
openlayer = Openlayer::Client.new(api_key: ENV["OPENLAYER_API_KEY"])
openlayer.inference_pipelines.rows.delete(
"0f1e2d3c-4b5a-4968-8776-5a4b3c2d1e0f",
inference_pipeline_id: "c1d2e3f4-a5b6-4c7d-8e9f-0a1b2c3d4e5f"
)
curl --request DELETE \
--url https://api.openlayer.com/v1/inference-pipelines/{inferencePipelineId}/rows/{inferenceId} \
--header 'Authorization: Bearer <token>'
{
"code": 123,
"error": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your workspace API key. See Find your API key for more information.
Path Parameters
The inference pipeline id (a UUID).
Response
Row successfully deleted.
Was this page helpful?